/* login_renewal.css */
@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@100..900&family=Noto+Serif+JP:wght@200..900&display=swap");

* {
	font-family: "Noto Sans JP", sans-serif;
}
body {
	margin: 0;
	font-family: "Noto Sans JP", sans-serif;
	background: #effbff;
	line-height: 1.75;
	letter-spacing: 0.02em;
	color: #1e1e1e;
}

.login-renewal-btn {
	border: solid 1px #15597e;
	border-radius: 2px;
	padding: 7px 20px 6px;
	font-size: 18px;
	font-weight: 700;
	line-height: 1.75;
	color: #15597e;
	cursor: pointer;
	display: inline-flex;
	align-items: center;
	gap: 8px;
	text-decoration: none;
	transition: opacity 0.4s;
}
.login-renewal-btn:hover {
	opacity: 0.6;
}
.login-renewal-btn.is-open {
	opacity: 0.6 !important;
}

.login-renewal-btn:disabled,
.login-renewal-btn.disabled {
	border-color: #e6e8eb;
	color: #e6e8eb;
	cursor: not-allowed;
	opacity: 1;
}
.login-renewal-btn--fill {
	background: #15597e;
	color: #fff;
}
.login-renewal-btn--fill:disabled,
.login-renewal-btn--fill.disabled {
	background: #e6e8eb;
	color: #fff;
	opacity: 1;
	pointer-events: none;
	cursor: not-allowed;
}

.login-renewal-btn--login::after {
	content: "";
	display: inline-block;
	width: 24px;
	height: 24px;
	background: url("../img/login_icon_arrow.svg") no-repeat center / cover;
	transition: transform 0.25s ease-out;
}
.login-renewal-btn--login.is-open::after {
	transform: rotate(180deg);
}

.login-renewal-btn--main::after {
	content: "";
	display: inline-block;
	width: 24px;
	height: 24px;
	background-image: url("../img/login_icon_main_white.svg");
}

.login-renewal-header {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 15px 40px;
	border-radius: 44px;
	background: #fff;
	border: 1px solid #e3e4e5;
	position: fixed;
	top: 24px;
	left: 50%;
	transform: translateX(-50%);
	width: calc(100% - 80px);
	z-index: 2;
}
.login-renewal-header__logo img {
	width: 200px;
	vertical-align: top;
}
.login-renewal-header__nav {
	display: flex;
	align-items: center;
	gap: 24px;
}
.login-renewal-header__lang {
	color: #15597e;
	font-weight: 700;
	text-decoration: none;
	font-size: 16px;
	display: inline-flex;
	align-items: center;
	gap: 8px;
	transition: opacity 0.4s;
}
.login-renewal-header__lang:hover {
	opacity: 0.6;
}
.login-renewal-header__lang::before {
	content: "";
	display: inline-block;
	width: 24px;
	height: 24px;
	background: url("../img/login_icon_lang.svg") no-repeat center / cover;
}

.login-renewal-header__form {
	position: relative;
}
.login-renewal-header__form-body {
	position: absolute;
	top: 100%;
	left: 50%;
	transform: translateX(-50%);
	width: 400px;
	height: 0;
	overflow: hidden;
	box-shadow: 0 4px 5px rgba(30,30,30,0.2);
	transition: height 0.25s ease-out;
}

.login-renewal-header__form-body-inner {
	padding: 32px 40px;
	background: #fff;
	border: 1px solid #e3e4e5;
}
.login-renewal-header__form-cols {
	display: flex;
	flex-direction: column;
	gap: 16px;
}
.login-renewal-header__form-col {
	display: flex;
	flex-direction: column;
	gap: 4px;
}
.login-renewal-header__form-label {
	font-size: 14px;
	cursor: pointer;
}
.login-renewal-header__form-input {
	border: 1px solid #e3e4e5;
	border-radius: 2px;
	padding: 8px 16px;
	font-size: 16px;
	line-height: 1.75;
}
.login-renewal-header__form-input::placeholder {
	color: #e3e4e5;
}
.login-renewal-header__form-input:focus {
	outline: none;
	border-color: #15597e;
}
.login-renewal-header__form-error {
	margin-top: 24px;
}
.login-renewal-header__form-error > * {
	font-size: 14px;
	color: #f8333c;
}
.login-renewal-header__form-btn-area {
	width: 100%;
	text-align: right;
	margin-top: 24px;
}

.login-renewal-main {
	position: relative;
	margin: 150px auto 0;
	padding-inline: 40px;
}

.login-renewal-main__content {
	width: calc(660 / 1440 * 100vw);
	min-width: 660px;
	position: relative;
	z-index: 1;
	margin-left: auto;
	display: flex;
	flex-direction: column;
	gap: 40px;
}
.login-renewal-main__box {
	background: #fff;
	border: 1px solid #e3e4e5;
	padding: 40px;
	display: flex;
	flex-direction: column;
	gap: 32px;
}
.login-renewal-main__box--top {
	height: calc(100vh - 150px - 80px);
	min-height: 480px;
}
.login-renewal-main__title {
	font-size: 32px;
	font-weight: 400;
	font-family: "Noto Serif JP", serif;
	margin: 0;
	line-height: 1;
	position: relative;
	padding-bottom: 21px;
}
.login-renewal-main__title::before,
.login-renewal-main__title::after {
	content: "";
	position: absolute;
	bottom: 0;
	width: 20px;
	height: 5px;
}
.login-renewal-main__title::before {
	left: 0;
	background: #4bace1;
}
.login-renewal-main__title::after {
	left: 20px;
	background: #2087c0;
}
.login-renewal-main__news {
	padding: 0;
	width: 100%;
	height: calc(100% - 53px);
}

.login-renewal-main__links {
	display: flex;
	flex-wrap: wrap;
	gap: 24px;
	list-style: none;
	padding: 0;
	margin: 0;
}
.login-renewal-main__links li {
	flex: 0 0 calc(50% - 12px);
	max-width: calc(50% - 12px);
}
.login-renewal-main__links a {
	color: #15597e;
	text-decoration: none;
	border: 1px solid #15597e;
	padding: 15px 23px;
	font-size: 16px;
	font-weight: 700;
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 8px;
	transition: opacity 0.4s;
}
.login-renewal-main__links a:hover {
	opacity: 0.6;
}
.login-renewal-main__links a::after {
	content: "";
	display: inline-block;
	width: 20px;
	height: 20px;
	background: url("../img/login_icon_link.svg") no-repeat center / cover;
}

.login-renewal-footer {
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 14px;
	padding: 34px 40px 40px;
	background: #f4f5f6;
	border-top: 1px solid #1e1e1e;
	margin-top: 80px;
	position: relative;
	z-index: 1;
}
.login-renewal-footer__logo img {
	height: 80px;
}
.login-renewal-footer__copyright {
	margin: 0;
	text-align: center;
}
.login-renewal-footer__copyright small {
	font-size: 12px;
	color: #1e1e1e;
}

.login-renewal-img {
	position: fixed;
	top: 0;
	left: 0;
	z-index: 0;
	width: 100%;
	height: 100%;
}
.login-renewal-img img {
	width: calc(932 / 1440 * 100%);
	height: 100%;
	object-fit: cover;
}

.login-renewal-related-button {
	position: fixed;
	bottom: calc(5vh + 30px);
	right: 0;
	z-index: 10;
	width: 95px;
	height: 57px;
	transition: opacity 0.4s, visibility 0.4s;
}

.login-renewal-related-button.is-hidden {
	opacity: 0;
	visibility: hidden;
	pointer-events: none;
}
.login-renewal-related-button__link {
	position: relative;
	padding: 8px 12px 0;
	color: #fff;
	font-family: "Noto Serif JP";
	text-align: center;
	font-size: 14px;
	font-style: normal;
	font-weight: 700;
	line-height: 175%;
	letter-spacing: 0.28px;
	display: block;
	background-color: #15597e;
	width: 100%;
	height: 100%;
	text-decoration: none;
	transition: opacity 0.4s;
}
.login-renewal-related-button__link:hover {
	opacity: 0.6;
}
.login-renewal-related-button__link::before {
	position: absolute;
	top: 29px;
	left: 50%;
	transform: translateX(-50%);
	content: "";
	width: 24px;
	height: 24px;
	background: url("../img/ico_related.svg") no-repeat center / cover;
}

@media (max-width: 1024px) {
	.login-renewal-btn {
		font-size: 16px;
		padding: 6px 16px 5px;
	}

	.login-renewal-header {
		padding-inline: 24px;
		width: calc(100% - 48px);
	}
	.login-renewal-header__logo img {
		width: 160px;
	}
	.login-renewal-header__nav {
		gap: 16px;
	}
	.login-renewal-main {
		padding-inline: 24px;
	}
}

@media (max-width: 768px) {
	.login-renewal-btn {
		padding: 8px;
		flex-direction: column;
		gap: 0;
		border-radius: 0;
		border: 0;
		font-size: 12px;
	}
	.login-renewal-btn__text {
		order: 2;
	}
	.login-renewal-btn::after {
		order: 1;
	}
	.login-renewal-btn:hover {
		opacity: 1;
	}
	.login-renewal-btn--login,
	.login-renewal-btn--main,
	.login-renewal-header__lang--en,
	.login-renewal-header__form {
		min-width: 65px;
	}

	.login-renewal-sp-hidden {
		display: none;
	}
	.login-renewal-header {
		top: 0;
		left: 0;
		width: 100%;
		height: 62px;
		transform: none;
		border-radius: 0;
		border: 0;
		border-bottom: 1px solid #e3e4e5;
		padding: 0 0 0 16px;
	}
	.login-renewal-header__logo img {
		max-width: 120px;
		width: 100%;
	}
	.login-renewal-header__nav {
		gap: 0;
	}
	.login-renewal-header__lang {
		flex-direction: column;
		gap: 0;
		padding: 8px;
		font-size: 12px;
	}
	.login-renewal-header__lang:hover {
		opacity: 1;
	}
	.login-renewal-header__form {
		position: static;
	}
	.login-renewal-header__form-body {
		width: 100vw;
		left: auto;
		right: 0;
		transform: none;
		max-width: 400px;
	}
	.login-renewal-header__form-body-inner {
		padding: 24px 16px;
	}
	.login-renewal-header__form-btn {
		font-size: 16px;
		padding: 8px 16px;
	}
	
	.login-renewal-main {
		padding-inline: 16px;
		margin-top: calc(180 / 375 * 100vw);
	}
	.login-renewal-main__content {
		margin-inline: auto;
		min-width: 0;
		row-gap: 24px;
		width: 100%;
	}
	.login-renewal-main__box {
		padding: 24px 16px;
	}
	.login-renewal-main__box--top {
		min-height: 0;
		height: calc(100dvh - (180 / 375 * 100vw) - 48px);
	}
	.login-renewal-main__title {
		font-size: 28px;
		padding-bottom: 21px;
	}
	.login-renewal-main__news {
		height: calc(100% - 65px);
	}

	.login-renewal-main__links {
		flex-direction: column;
	}
	.login-renewal-main__links li {
		flex: 0 0 100%;
		max-width: 100%;
	}
	.login-renewal-main__links a {
		font-weight: 500;
	}

	.login-renewal-footer {
		margin-top: 40px;
		padding-inline: 16px;
	}

	.login-renewal-footer__logo img {
		height: 60px;
	}

	.login-renewal-img {
		top: 62px;
		left: 0;
		z-index: 0;
		height: auto;
	}
	.login-renewal-img img {
		width: 100%;
	}

	.login-renewal-related-button__link:hover {
		opacity: 1;
	}
}

#bodyEditor {
	padding-right: 8px;
	padding-bottom: 24px;
	width: 100%;
	height: 100%;
	overflow-y: auto;
}
.login-renewal-main__news #bodyEditor .ql-editor {
	overflow-y: unset;
}

#bodyEditor * {
	overflow-wrap: break-word;
}
#bodyEditor .ql-editor >*:first-child {
	margin-top: 0;
}
#bodyEditor h1 {
	font-size: 28px;
	font-weight: 600;
	line-height: 1.5;
	letter-spacing: 0.02em;
	padding-left: 40px;
	position: relative;
	margin-block: 48px 16px;
}
#bodyEditor h1::before {
	content: "";
	display: inline-block;
	width: 24px;
	height: 24px;
	background: #15597e;
	border-radius: 50%;
	position: absolute;
	top: 8px;
	left: 0;
}
#bodyEditor h2 {
	font-size: 24px;
	font-weight: 700;
	line-height: 1.5;
	letter-spacing: 0.02em;
	color: #15597e;
	border-bottom: 4px solid #15597e;
	padding-bottom: 8px;
	margin-block: 16px;
}
#bodyEditor h3 {
	font-size: 18px;
	font-weight: 700;
	line-height: 1.75;
	letter-spacing: 0.02em;
	padding: 0 0 0 16px;
	border-left: 4px solid #15597e;
	margin-block: 16px;
}
#bodyEditor p {
	font-size: 16px;
	line-height: 1.75;
	letter-spacing: 0.02em;
	padding-left: 0;
	min-height: 1em;
}
#bodyEditor a {
	color: #2087c0;
	text-decoration: underline;
}
#bodyEditor a:hover {
	text-decoration: none;
}

@media (max-width: 768px) {
	#bodyEditor {
		padding-right: 0;
	}
	#bodyEditor h1 {
		font-size: 24px;
		padding-left: 32px;
	}
	#bodyEditor h1::before {
		content: "";
		width: 20px;
		height: 20px;
		top: 8px;
	}
	#bodyEditor h2 {
		font-size: 20px;
	}
}

/*add Quill リスト */
#bodyEditor .ql-editor li[data-list=bullet] > .ql-ui:before {
	content: "";
		display: block;
		background-color: #999;
		width: 8px;
		height: 8px;
		border-radius: 50%;
		position: absolute;
		left: 0;
		top: 10px;
}
#bodyEditor ul,
#bodyEditor ol {
	padding-left: 0;
	margin-block: 16px;
	font-size: 16px;
	line-height: 1.75;
	list-style: none;
}
#bodyEditor ul li,
#bodyEditor ol li {
	position: relative;
	padding-left: 24px;
}

